Subject: Fwd: Re: problems with capitalized names (WNT)
From: [email-masked] (Earnie Boyd)

9 Jul 1998 04:52:01 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: gw32 <[email-masked]>

---Ivan Herman <[email-masked]> wrote:
>
> 
> 
> Earnie Boyd wrote:
> 
> > ---Ivan Herman <[email-masked]> wrote:
> > >
> > > Earnie,
> > >
> > > thanks for the reply.
> > >
> > > I think I could get closer to the problem, and this may well be
> > something
> > > cygwin32 cannot really manage. You are right, the problem is not
> > where I
> > > thought it would be.
> >
> > Glad to hear it.
> >
> > >
> > > I hope you know a bit how Java operates, so that I can explain my
> > point.
> >
> > I know nothing about Java but, I do understand your point.
> >
> > >
> > > If I compile a java file in a directory where the file really is,
> > ie, say:
> > >
> > >     > javac File.java
> >
> > So, this works under both DOS and bash. Correct?
> >
> 
> Correct.
> 
> 
> 
> > >
> > > then everything is fine and the compilation goes through without
> > problem.
> > > However, Java allows me the creation of 'Packages', ie, files
which
> > are in
> > > various subdirectories; if this is the case with 'File.java', too,
> > then the
> > > file is in a subdirectory called 'APackage', and you have to say:
> > >
> > >     > javac APackage/File.java
> >
> > Have you tried it this way under the DOS shell?  If you do, it will
> > let you know if javac understands it or not.
> >
> 
> I did now, and javac does not understand it!
> 
> 
> > >
> > > when you are on a 'unix-like' environment, or
> > >
> > >     > javac APackage\File.java
> > >
> > > in a DOS command line. Whereas the second command works from
whithin
> > DOS,
> > > the unix-version of the command fails from under Bash. I suspect
> > that what
> >
> > You could do "javac APackage\\File.java" in bash.  This will leave
one
> > \ in the path.
> >
> 
> Yes, I realized this, and this works (of course, I loose the file
completion
> facility then...). Actually, what I have done this afternoon is to say
> 
> function jc() {
>     javac `cygpath -w $1`
> }
> 
> where cygpath is the small utility I found on the Russian guy's site
(I do
> not remember his name, his URL was on your mail of yesterday) which
creates
> a DOS like file name from a UNIX style one. This trick works, too.
> 
> 
> 
> 
> > > bash forwards to the executed comment is the 'unix-style' path,
> > whereas
> > > javac, under windows nt, expects a DOS-style path. I presume
this is
> > the
> > > source of the conflict, and I do not see an elegant way in bash to
> > solve
> > > it.
> >
> > It's probably because the package designers wanted the "MS SEAL OF
> > APPROVAL".  The C/C++ functions that reside in the crtdll.dll and
> > related cousins all support the use of the `/' as a path delimiter
as
> > well as `\'.  If an application doesn't accept the `/' as a path
> > delimiter it is because the designers have chosen to filter it as
not
> > valid, it is not because the supporting filesystem function calls
> > don't like it.
> >
> 
> It is actually interesting that the SUN guys tried to be more
catholic then
> the pope, and filter this out! However, everything seems to show
that they
> did...
> 
> Thanks for your help. It may be a good idea to put some lines of
warnings
> into the cygnus README file about this problem...
> 
> Ivan
> 
> 
> > ==
> > -        \\||//
> > ---o0O0--Earnie--0O0o----
> > [email-masked]
> > ------ooo0O--O0ooo-------
> >
> > _________________________________________________________
> > DO YOU YAHOO!?
> > Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> 
> --
> Ivan Herman
> Centre for Mathematics and Computer Sciences (CWI)
> Kruislaan 413, 1098 SJ Amsterdam, The Netherlands
> tel: +31-20-592.4163    fax: +31-20-5924199
> http://www.cwi.nl/~ivan
> 
> 
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".